#include <iostream>
#include <climits>

using namespace std;

int main(void)
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    string tekst, rec;
    int pojavljivanja[10] = { 0 };

    cin >> tekst >> rec;
    int m = rec.length();
    int n = tekst.length();

    int count = 0;

    for(int i = 0; i < n; i++)
    {
        for(int j = 0; j < count; j++)
            if(tekst[i] == rec[j])
                pojavljivanja[j]++;

        if(tekst[i] == rec[count])
        {
            pojavljivanja[count]++;
            count++;
        }
    }

    int minimum = INT_MAX;
    char menjaj;
    for(int i = 0; i < count; i++)
    {
        if(pojavljivanja[i] < minimum)
        {
            minimum = pojavljivanja[i];
            menjaj = rec[i];
        }
    }

    cout << minimum << "\n";
    for(int i = 0; i < n; i++)
        if(tekst[i] == menjaj)
            tekst[i] = '*';
    cout << tekst << "\n";

    return 0;
}